<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fw3DViewer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fw3DViewer
   &#160;<span id="projectnumber">8.4.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">fw3DViewer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classfw3DViewer.html">fw3DViewer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a1612ccb1ca2f986c8d5bd0a44c31579c">addGroup</a>(string groupName, string groupParentName)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#a7a0f58cbe015dcc91e4e214f548fa528">addShape</a>(string shapeType, string shapeName, dyn_string geometry)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a2fd6929e0b24f649711a2d885bc76a19">addShapeInGroup</a>(string groupName, string shapeType, string ShapeName, dyn_string property)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#a408dcb18c6b755efffe3b097ba6c6295">addTexture</a>(string shape, string texturePath)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a9814e06b6758f8fd02ebde86dd991f9f">delShape</a>(string shapeOrGroupName)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#aca51b85ee9c33385e4c4da21a4905032">getCamera</a>()</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a53db056638ef7e7ee2b08d29e75ce810">getGroupShapes</a>(string groupName)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#aeb6c6b8645b33ed51d2cf38da4cb62f5">getShapeInfo</a>(string shapeName, dyn_string geometry)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a6b866b31758dd4f5da968935113745da">seekToShape</a>(string name)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#ab685c6c493b9fd8dfd3d861608d50697">setBackgroundColor</a>(string color)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a6370a0e57985289a93e456f7a70f60da">setBackgroundColorRGB</a>(string color)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#a1c4f376cff655f07699bc41a64098f62">setCamera</a>(dyn_string cameraSettings)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#aeb28a3a47bdb3028e3c03c8c33b8a104">setColor</a>(string shapeOrGroupName, string color)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#af59f9140f4dff4c24f3ddc3abd3d3370">setColorRGB</a>(string shapeOrGroupName, string color)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a7b2facbc854e4c7264f180864589b826">setDecoration</a>(bool enable)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#ae112a47402bd30a308ff6c77f20cbb19">setGeometry</a>(string shapeOrGroupName, dyn_string geometry)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a4499c95ac9574ff4c9b96f8377bc87d9">setHeadlight</a>(bool on)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#a0df7d193ec2cfdd91764a1b1893d33cd">setSeek</a>(bool enable)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#ac9191f4b6ea597a97e1cdfc6cd5c3b4d">setTransparency</a>(string shapeOrGroupName, string transparency)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#a634d0c5b1fc14201bfceac00779f3803">setViewing</a>(bool enable)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a4c6d6400efc1290faf7175d54df77de5">shapeClicked</a>(QString shapeName, int x, int y, int z, int transparency)</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="classfw3DViewer.html#a807567de9075f77c2c3abd77c4eb32ba">unselect</a>()</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classfw3DViewer.html#a678101e3ef497b992fa29fe63bc56f80">viewAll</a>()</td><td class="entry"><a class="el" href="classfw3DViewer.html">fw3DViewer</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
